# Update configurations This endpoint updates the default settings of your reports. Keep in mind that when updating a configuration, you will need to execute the 'Create report' endpoint and then 'Download report'. In case of success, the request will return a response with status 200. **PUT** `/v1/account/release_report/config` ## Request parameters - `columns` (array, optional) Field with details of the columns that have been included in your report based on the values defined in the request. Find all possible values in the Glossary section (https://www.mercadopago.com/developers/en/docs/checkout-pro/additional-content/reports/released-money/report-use). - `columns[].key` (string, optional) Name of the report column you wish to display. - `file_name_prefix` (string, optional) Prefix that composes the report name once generated and ready for download. It does not allow empty or null values. - `frequency` (object, optional) This field indicates the frequency with which the report should be generated, which can be daily, weekly, or monthly. - `frequency.hour` (number, optional) This field specifies the time at which the report will be generated, using the 24-hour format for its definition. - `frequency.value` (number, optional) This field defines the frequency at which the report is generated, either monthly or weekly, and its value complements the 'type' attribute. For example, if the frequency entered in 'type' is monthly ('monthly') and the value configured in this field is '1', it indicates that the report will be generated on the first day of each month. If the frequency entered in 'type' is daily ('daily'), the assigned value will be 0, and the time of day should be set in the 'hour' field. Whereas if the frequency entered in 'type' is weekly ('weekly'), the value configured in this field should be 'monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday', or 'sunday' to determine the day of the week on which the report is generated, with the time of day to be defined in the 'hour' field. - `frequency.type` (string, optional) This field indicates the type of frequency: 'daily' (daily), 'weekly' (weekly), and 'monthly' (monthly). It is important to remember that this field communicates directly with the 'value' field described above. - `sftp_info` (object, optional) This field provides the necessary connection data for us to access your server. It is optional and should only be sent if you want to receive the reports via SFTP. - `sftp_info.server` (string, optional) URL or IP address (public) of the server. - `sftp_info.password` (string, optional) User password with which we will establish the connection. - `sftp_info.remote_dir` (string, optional) Folder where your reports will be saved. - `sftp_info.port` (number, optional) Port used to establish the connection. - `sftp_info.username` (string, optional) User with whom we will authenticate on your server. - `separator` (string, optional) Separator that you can use in the .csv file when you don't want the separator to be a comma. - `display_timezone` (string, optional) This field sets the date and time displayed in the reports. In the absence of a specific time zone configuration, the system defaults to GMT-04. For time zones subject to daylight saving time, manual adjustments will be necessary to reflect the time changes. - `report_translation` (string, optional) This field allows changing the default language of column headers. If activated, it is recommended to verify if integrations with Excel files (.xlsx), which allow automatic reconciliation, are working correctly. In case of integration failures, it is important to update the settings, using the new headers as a guide, such as 'EXTERNAL_REFERENCE', 'SOURCE_ID', and 'PAYMENT_METHOD'. Available languages include English ('en'), neutral Spanish ('es'), and Portuguese ('pt'). - `include_withdrawal_at_end` (boolean, optional) This field indicates whether withdrawal transactions made at the end of the specified date range in the report should be included. - `check_available_balance` (boolean, optional) This configuration displays the account balance before and after a withdrawal, offering an explanatory view of balance variations. It should be excluded for balance and/or account balance checks, and if you wish to use it, it should be sent as 'true'. - `compensate_detail` (boolean, optional) Locks and unlocks of money that offset each other and do not affect the final balance. Helps understand how the final balance of the report is formed in a chronological reading (recommended if you have a high volume of transactions). - `execute_after_withdrawal` (boolean, optional) This parameter determines whether the report will be executed after a withdrawal is made. - `scheduled` (boolean, optional) Informative field indicating whether there are already scheduled reports in the user's account. It will be 'true' if automatic generation is enabled, and 'false' if it is disabled. ## Response parameters - `file_name_prefix` (string, optional) Prefix that composes the report name once generated and ready for download. It does not allow empty or null values. - `display_timezone` (string, optional) This field sets the date and time displayed in the reports. In the absence of a specific time zone configuration, the system defaults to GMT-04. For time zones subject to daylight saving time, manual adjustments will be necessary to reflect the time changes. - `include_withdrawal_at_end` (boolean, optional) This field indicates whether withdrawal transactions made at the end of the specified date range in the report should be included. - `scheduled` (boolean, optional) Informative field indicating whether there are already scheduled reports in the user's account. It will be 'true' if automatic generation is enabled, and 'false' if it is disabled. - `execute_after_withdrawal` (boolean, optional) This parameter determines whether the report will be executed after a withdrawal is made. - `columns` (array, optional) Field with details of the columns that have been included in your report based on the values defined in the request. Find all possible values in the Glossary section (https://www.mercadopago.com/developers/en/docs/checkout-pro/additional-content/reports/released-money/report-use). - `columns[].key` (string, optional) Name of the report column you wish to display. - `report_translation` (string, optional) Configured language of the report. - `frequency` (object, optional) This field indicates the frequency with which the report should be generated, which can be daily, weekly, or monthly. - `frequency.hour` (number, optional) This field specifies the time at which the report will be generated, using the 24-hour format for its definition. - `frequency.value` (number, optional) This field defines the frequency at which the report is generated, either monthly or weekly, and its value complements the 'type' attribute. For example, if the frequency entered in 'type' is monthly ('monthly') and the value configured in this field is '1', it indicates that the report will be generated on the first day of each month. If the frequency entered in 'type' is daily ('daily'), the assigned value will be 0, and the time of day should be set in the 'hour' field. Whereas if the frequency entered in 'type' is weekly ('weekly'), the value configured in this field should be 'monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday', or 'sunday' to determine the day of the week on which the report is generated, with the time of day to be defined in the 'hour' field. - `frequency.type` (string, optional) This field indicates the type of frequency: 'daily' (daily), 'weekly' (weekly), and 'monthly' (monthly). It is important to remember that this field communicates directly with the 'value' field described above. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | Invalid file_name_prefix | Invalid file name prefix. | | 400 | Invalid execute_after_withdrawal | Invalid execute after withdrawal. | | 400 | Invalid columns | Invalid columns. | | 400 | Invalid frequency | Invalid frequency. | | 400 | Invalid SFTP info | Invalid SFTP info. | | 400 | Invalid webhook | Invalid webhook. | | 400 | Invalid file config | Invalid file config. | | 400 | Invalid report_language | Invalid report language. | | 401 | invalid token | Invalid token. | ## Request example ### cURL ```bash curl -X PUT \ 'https://api.mercadopago.com/v1/account/release_report/config' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' \ -d '{ "columns": [ { "key": "SOURCE_ID" } ], "file_name_prefix": "conciliation-settlement-report", "frequency": { "hour": 0, "value": 1, "type": "monthly" }, "sftp_info": { "server": "sftp.myserver.com", "password": "mypassword", "remote_dir": "/myfolder", "port": 22, "username": "username" }, "separator": ";", "display_timezone": "GMT-04", "report_translation": "es", "include_withdrawal_at_end": true, "check_available_balance": true, "compensate_detail": true, "execute_after_withdrawal": false, "scheduled": true }' ``` ## Response example ```json { "file_name_prefix": "release-report-USER_ID", "display_timezone": "GMT-04", "include_withdrawal_at_end": true, "scheduled": false, "execute_after_withdrawal": false, "columns": [ { "key": "SOURCE_ID" } ], "report_translation": "es", "frequency": { "hour": 0, "value": 1, "type": "monthly" } } ```